    #include<bits/stdc++.h>
    #include<string.h>
    using namespace std;
    int main()
    {
        long long n,chetni=0,nechetni=0;
        cin>>n;
        long long nums[n];
        for(int i=0;i<n;i++)
        {
            cin>>nums[i];
        }

        sort(nums,nums+n);

        for(int i=1;i<n;i++)
        {
            if(nums[i-1]+1!=nums[i])
           {
                for(int j=nums[i-1]+1;j<nums[i];j++)
                {
                    if(j%2==0)chetni++;
                    else nechetni++;
                }
            }
        }
        for(int i=1;i<nums[0];i++)
        {
            if(i%2==0)chetni++;
            else nechetni++;
        }
        cout<<nechetni+(nums[1]-nums[0])<<" "<<chetni;




    }

